Skip to main content
POST
/
v2
/
taxonomy-workflow
/
{workflow_id}
/
review
/
complete
Complete review and approve product import
curl --request POST \
  --url https://commerceos.aiagents.fabric.inc/api/v2/taxonomy-workflow/{workflow_id}/review/complete \
  --header 'domain: <domain>'
{
  "message": "Review completed",
  "workflow_id": "76a618ef-66c9-4792-a833-34543c1a36ed",
  "output_file_id": "69bd76435bnc4cf33c2440bf",
  "category_count": 4,
  "attribute_count": 0
}

Headers

domain
string
required

The brand domain or brand identifier used to scope the request to a specific brand’s data and configuration.

Example:

"vessel"

Path Parameters

workflow_id
string<uuid>
required

Workflow ID returned from POST /v2/taxonomy-workflow.

Example:

"76a618ef-66c9-4792-a833-34543c1a36ed"

Response

Review completed successfully

message
string
required

Result of the review completion request.

Example:

"Review completed"

workflow_id
string<uuid>
required

Workflow ID associated with the approved review.

Example:

"76a618ef-66c9-4792-a833-34543c1a36ed"

output_file_id
string
required

Identifier for the generated output file used in downstream enrichment.

Example:

"69bd76435bnc4cf33c2440bf"

category_count
integer
required

Number of mapped categories included in the approved output.

Example:

4

attribute_count
integer
required

Number of mapped attributes included in the approved output.

Example:

0